<!-- begin::Header -->
<div class="shadow-sm">

    <div class="card-header border-0 pt-5">
        <h3 class="card-title align-items-start flex-column">
          <span class="card-label fw-bolder fs-3 mb-1 text-card">Data Exports</span>
          <hr class="mt-6 mb-6 bg-primary border-2 border-top border-secondary">
        </h3>
    
      </div>
      <!-- end::Header -->
      <!-- begin::Body -->
      <div class="card-body py-3 special-body">
        <!-- begin::Table container -->
        <div *ngIf="loadedData" class="table-responsive">
          <!-- begin::Table -->
          <table
            class="table table-row-bordered table-row-gray-100 align-middle gs-0 gy-3"
          >
            <!-- begin::Table head -->
            <thead>
              <tr class="fw-bolder text-muted">
                <th class="min-w-150px">Latitude</th>
                <th class="min-w-140px">Longitude</th>
                <th class="min-w-140px">Description</th>
                <th class="min-w-120px">Time</th>  
                <th class="min-w-120px"><a (click)="openAllMapModal(map_all_modal_content)" class="btn btn-sm btn-secondary"><i class="las la-map-marked-alt fs-1 me-2"></i>Show all on map</a>                </th>
                <th class="min-w-120px">Actions</th>
              </tr>
            </thead>
            <!-- end::Table head -->
            <!-- begin::Table body -->
            <tbody>
              <tr *ngFor="let row of receivedData.data">
                <td>
                  <a  class="text-dark fw-bolder text-hover-primary fs-6">
                    {{row.value['visited-location'].latitude}}
                  </a>
                </td>
                <td>
                  <a
                    class="text-dark fw-bolder text-hover-primary d-block mb-1 fs-6"
                  >
                  {{row.value['visited-location'].longitude}}
                  </a>
                </td>
                <td>
                  <a
                    
                    class="text-dark fw-bolder text-hover-primary d-block mb-1 fs-6"
                  >
                  {{row.value['visited-location'].description}}
                  </a>
    
                </td>
                <td>
                    <a  class="text-dark fw-bolder text-hover-primary fs-6">
                      {{row.value['visited-location'].time}}
                    </a>
                </td>
                <td>
                    <a (click)="openMapModal(map_modal_content, row)"
                    class="btn btn-sm btn-primary"><i class="las la-map-marked-alt fs-1 me-2"></i>Show on map</a>
                </td>
                <td>
                  <a
                    (click)="openDeleteModal(delete_modal_content, row)"
                    class="btn btn-icon btn-bg-light btn-active-color-primary btn-sm"
                  >
                    <span
                      [inlineSVG]="'./assets/media/icons/duotune/general/gen027.svg'"
                      class="svg-icon svg-icon-3"
                    ></span>
                  </a>
                </td>
              </tr>
              
            </tbody>
            <!-- end::Table body -->
          </table>
          <!-- end::Table -->
        </div>
        <div  *ngIf="!loadedData" class="d-flex justify-content-around">
          <b>There are no data available yet! </b>
        </div>
        <!-- end::Table container -->
      </div>
    
    </div>
      <!-- begin::Body -->
    
    <!-- The following sections are hidden by default, only appear if buttons are pressed -->

  
<!-- DELETE DATA MODAL START -->
<ng-template #delete_modal_content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-title">Data export deletion</h4>
        <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p><strong>Are you sure you want to delete this data row?</strong></p>
        <p>All information associated to this row will be permanently deleted.
        <span class="text-danger">This operation can not be undone.</span>
        </p>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
        <button type="button" class="btn btn-danger" (click)="modal.close('confirm delete')">Delete</button>
    </div>

</ng-template>
<!-- DELETE DATA MODAL END -->

<!-- MAP MODAL START -->
<ng-template #map_modal_content let-modal>
  <div class="modal-header">
      <h4 class="modal-title" id="modal-title">Map</h4>
      <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
      </button>
  </div>
  <div class="modal-body">
    <div style="height: 300px;"
    leaflet 
    [leafletOptions]="options"
    [leafletLayers]="layers">
    >
  </div>
  </div>

</ng-template>
<!-- MAP MODAL END -->


<!-- SHOW ALL MAP MODAL START -->
<ng-template #map_all_modal_content let-modal>
  <div class="modal-header">
      <h4 class="modal-title" id="modal-title">Map</h4>
      <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
      </button>
  </div>
  <div class="modal-body">
    <div style="height: 300px;"
    leaflet 
    [leafletOptions]="options"
    [leafletLayers]="layers">
    >
  </div>
  </div>

</ng-template>
<!-- SHOW ALL MAP MODAL END -->
<ngx-spinner></ngx-spinner>
